# Interface ServerStats.Provider

All Known Implementing Classes:
  `FollowerZooKeeperServer, LeaderZooKeeperServer, LearnerZooKeeperServer, ObserverZooKeeperServer, QuorumZooKeeperServer, ReadOnlyZooKeeperServer, ZooKeeperServer`

Enclosing class:
  `ServerStats`

public static interface ServerStats.Provider

## Method Summary

Modifier and Type
Method
Description
`long`
`getDataDirSize()`
`long`
`getLastProcessedZxid()`
`long`
`getLogDirSize()`
`int`
`getNumAliveConnections()`
`long`
`getOutstandingRequests()`
`String`
`getState()`

## Method Details

### getOutstandingRequests

long getOutstandingRequests()

### getLastProcessedZxid

long getLastProcessedZxid()

### getState

String getState()

### getNumAliveConnections

int getNumAliveConnections()

### getDataDirSize

long getDataDirSize()

### getLogDirSize

long getLogDirSize()